commit 58c47c8cac6999bc07df6ddaee4dbca7e567fbac
Author: Dominic Cleal <dcleal@redhat.com>
Date:   Tue May 27 17:14:49 2014 +0100

    Import hammer_cli dependencies

diff --git a/rubygem-apipie-bindings/apipie-bindings-0.0.8.gem b/rubygem-apipie-bindings/apipie-bindings-0.0.8.gem
new file mode 120000
index 000000000..8be38ee65
--- /dev/null
+++ b/rubygem-apipie-bindings/apipie-bindings-0.0.8.gem
@@ -0,0 +1 @@
+../.git/annex/objects/FM/GK/SHA256E-s16384--0503c8fb77a0b0d5ee364eb4325b4913965c722271686c47f1f4d632c12ec2cc.8.gem/SHA256E-s16384--0503c8fb77a0b0d5ee364eb4325b4913965c722271686c47f1f4d632c12ec2cc.8.gem
\ No newline at end of file
diff --git a/rubygem-apipie-bindings/rubygem-apipie-bindings.spec b/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
new file mode 100644
index 000000000..cac8b3dc7
--- /dev/null
+++ b/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
@@ -0,0 +1,130 @@
+%global gem_name apipie-bindings
+
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir /usr/lib/ruby/gems/1.8
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_libdir %{gem_instdir}/lib
+%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%endif
+
+%global geminstdir %{gem_dir}/gems/%{gem_name}-%{version}
+
+Summary: The Ruby bindings for Apipie documented APIs
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 0.0.8
+Release: 1%{?dist}
+Group: Development/Libraries
+License: GPLv3
+URL: http://github.com/Apipie/apipie-bindings
+Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
+
+Requires: ruby(rubygems)
+Requires: rubygem(rest-client)
+Requires: rubygem(awesome_print)
+Requires: rubygem(fastercsv)
+Requires: rubygem(oauth)
+Requires: rubygem(json) >= 1.2.1
+Requires: rubygem(mime-types) < 2.0.0
+
+%if "%{?scl}" == "ruby193"
+Requires: %{?scl_prefix}ruby-wrapper
+BuildRequires: %{?scl_prefix}ruby-wrapper
+%endif
+
+%if 0%{?fedora} > 18
+Requires: ruby(release) = 2.0.0
+BuildRequires: ruby(release) = 2.0.0
+BuildRequires: rubygems-devel
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires:  %{?scl_prefix}rubygems-devel
+%else
+Requires: ruby(abi) = 1.8
+BuildRequires: ruby(abi) = 1.8
+%endif
+%endif
+Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix}rubygems
+
+BuildArch: noarch
+
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+Bindings for API calls that are documented with Apipie. Bindings are generated on the fly.
+
+%package doc
+BuildArch:  noarch
+Requires:   %{gem_name} = %{version}-%{release}
+Summary:    Documentation for rubygem-%{gem_name}
+
+%description doc
+This package contains documentation for rubygem-%{gem_name}.
+
+%prep
+
+%setup -q -c -T
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+%{?scl:"}
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -pa .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+
+
+%files
+%dir %{geminstdir}
+%{geminstdir}/lib
+%doc %{geminstdir}/LICENSE
+%{geminstdir}/test
+
+
+%exclude %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+
+%files doc
+%doc %{gem_dir}/doc/%{gem_name}-%{version}
+%doc %{geminstdir}/README.md
+%doc %{geminstdir}/LICENSE
+
+
+%changelog
+* Wed May 07 2014 Martin Bačovský <martin.bacovsky@gmail.com> 0.0.8-1
+- Update apipie-bindings to 0.0.8 (martin.bacovsky@gmail.com)
+
+* Wed May 07 2014 Martin Bačovský <martin.bacovsky@gmail.com> 0.0.7-1
+- Update apipie-bindings to 0.0.7 (martin.bacovsky@gmail.com)
+
+* Fri Mar 21 2014 Martin Bačovský <mbacovsk@redhat.com> 0.0.6-1
+- Bump to 0.0.6 (mbacovsk@redhat.com)
+
+* Thu Mar 20 2014 Martin Bačovský <mbacovsk@redhat.com> 0.0.5-1
+- Bump to 0.0.5 (mbacovsk@redhat.com)
+
+* Wed Mar 19 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-3
+- fix scl package name and provides for apipie-bindings (jmontleo@redhat.com)
+
+* Wed Mar 19 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-2
+- fix scl builds (jmontleo@redhat.com)
+
+* Wed Mar 19 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-1
+- new package built with tito
+
+* Wed Mar 19 2014 Martin Bačovský <mbacovsk@redhat.com> 0.0.4-1
+- new package built with tito
+
+* Tue Feb 19 2014 Martin Bacovsky <mbacovsk@redhat.com> 0.0.4-1
+- new package built with tito
diff --git a/rubygem-awesome_print/awesome_print-1.0.2.gem b/rubygem-awesome_print/awesome_print-1.0.2.gem
new file mode 120000
index 000000000..459c3cc06
--- /dev/null
+++ b/rubygem-awesome_print/awesome_print-1.0.2.gem
@@ -0,0 +1 @@
+../.git/annex/objects/7g/99/SHA256E-s25088--772021d8a49ed6c707d7e6c70dba6dcfd466812824fa1993c1305434a2bc96cf.2.gem/SHA256E-s25088--772021d8a49ed6c707d7e6c70dba6dcfd466812824fa1993c1305434a2bc96cf.2.gem
\ No newline at end of file
diff --git a/rubygem-awesome_print/rubygem-awesome_print.spec b/rubygem-awesome_print/rubygem-awesome_print.spec
new file mode 100644
index 000000000..686c53110
--- /dev/null
+++ b/rubygem-awesome_print/rubygem-awesome_print.spec
@@ -0,0 +1,161 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%if 0%{?rhel}
+%global gem_dir /usr/lib/ruby/gems/1.8
+%else
+%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%endif
+
+%if 0%{?rhel}
+%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%global gem_libdir %{gem_instdir}/lib
+%global gem_cache %{gem_dir}/cache
+%global gem_spec %{gem_dir}/specifications
+%endif
+
+%global gem_name awesome_print
+
+Summary: Pretty print Ruby objects with proper indentation and colors
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 1.0.2
+Release: 9%{?dist}
+Group: Development/Languages
+License: MIT
+URL: http://github.com/michaeldv/awesome_print
+Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
+Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix}ruby
+
+%if 0%{?fedora} && 0%{?fedora} < 17
+Requires: %{?scl_prefix}ruby(abi) = 1.8
+%else
+%if 0%{?fedora} && 0%{?fedora} > 18
+Requires: %{?scl_prefix}ruby(release)
+%else
+%if 0%{?rhel}
+Requires: %{?scl_prefix}ruby(abi) = 1.8
+%else
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+%endif
+%endif
+%endif
+
+%if 0%{?fedora}
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix}rubygem-rspec
+
+%if 0%{?fedora} && 0%{?fedora} < 17
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.8
+%else
+%if 0%{?fedora} && 0%{?fedora} > 18
+BuildRequires: %{?scl_prefix}ruby(release)
+%else
+%if 0%{?rhel}
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.8
+%else
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+%endif
+%endif
+%endif
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+Great Ruby debugging companion: pretty print Ruby objects to visualize their
+structure. Supports custom object formatting via plugins.
+
+
+%package doc
+Summary: Documentation for %{pkg_name}
+Group: Documentation
+Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{pkg_name}
+
+%prep
+%setup -n %{pkg_name}-%{version} -q -c -T
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+%{?scl:"}
+
+# not running tests since it's broken in mock
+#%check
+#pushd ./%{gem_instdir}
+%{?scl:scl enable %{scl} "}
+#rspec -Ilib spec/
+%{?scl:"}
+#popd
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+echo %{gem_dir}
+echo %{buildroot}
+cp -a .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+rm %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/.gitignore
+rm %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/Gemfile.lock
+chmod -x %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/lib/awesome_print/formatter.rb
+chmod -x %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/lib/ap.rb
+chmod -x %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/lib/awesome_print/inspector.rb
+chmod -x %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/lib/awesome_print.rb
+
+
+%files
+%dir %{gem_instdir}
+%{gem_libdir}
+%{gem_cache}
+%{gem_spec}
+%{gem_instdir}/LICENSE
+%{gem_instdir}/Gemfile
+
+%files doc
+%doc %{gem_docdir}
+%{gem_instdir}/LICENSE
+%{gem_instdir}/CHANGELOG
+%{gem_instdir}/README.md
+%{gem_instdir}/spec/
+%{gem_instdir}/spec/colors_spec.rb
+%{gem_instdir}/spec/formats_spec.rb
+%{gem_instdir}/spec/methods_spec.rb
+%{gem_instdir}/spec/objects_spec.rb
+%{gem_instdir}/spec/spec_helper.rb
+%{gem_instdir}/Rakefile
+
+%changelog
+* Thu Aug 15 2013 Sam Kottler <shk@redhat.com> 1.0.2-9
+- Make the spec work on fedora + RHEL + scl (shk@redhat.com)
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Tue Mar 12 2013 Miroslav Suchý <msuchy@redhat.com> 1.0.2-7
+- new package built with tito
+
+* Fri Oct 26 2012  <mzatko@redhat.com> - 1.0.2-6
+- Owning spec directory
+
+* Thu Oct 04 2012  <mzatko@redhat.com> - 1.0.2-5
+- Moved specs into docs, using rm instead of exclude
+- Not removing Gemfile
+
+* Thu Sep 20 2012  <mzatko@redhat.com> - 1.0.2-4
+- Renamed spec file to rubygem_awesome_print.spec
+
+* Tue Sep 04 2012  <mzatko@redhat.com> - 1.0.2-3
+- Added license file to doc, files in doc use docdir instead of instdir
+
+* Mon Sep 03 2012  <mzatko@redhat.com> - 1.0.2-2
+- Removed unnecessary files & corrected license
+
+* Wed Jul 11 2012  <mzatko@redhat.com> - 1.0.2-1
+- Initial package
diff --git a/rubygem-clamp/clamp-0.6.2.gem b/rubygem-clamp/clamp-0.6.2.gem
new file mode 120000
index 000000000..19e60bad6
--- /dev/null
+++ b/rubygem-clamp/clamp-0.6.2.gem
@@ -0,0 +1 @@
+../.git/annex/objects/1K/2X/SHA256E-s24064--6900872da31f5fc37fa4424dc825d3952ce66143fbc00ab16ace96d73efff669.2.gem/SHA256E-s24064--6900872da31f5fc37fa4424dc825d3952ce66143fbc00ab16ace96d73efff669.2.gem
\ No newline at end of file
diff --git a/rubygem-clamp/rubygem-clamp.spec b/rubygem-clamp/rubygem-clamp.spec
new file mode 100644
index 000000000..214d8c369
--- /dev/null
+++ b/rubygem-clamp/rubygem-clamp.spec
@@ -0,0 +1,115 @@
+%global gemname clamp
+%if 0%{?rhel}
+%global gem_dir /usr/lib/ruby/gems/1.8
+%endif
+%global geminstdir %{gem_dir}/gems/%{gemname}-%{version}
+
+Summary: a minimal framework for command-line utilities
+Name: rubygem-%{gemname}
+Version: 0.6.2
+Release: 1%{?dist}
+Group: Development/Languages
+License: Apache 2.0
+URL: http://github.com/mdub/clamp
+Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
+%if 0%{?rhel} || 0%{?fedora} < 19
+Requires: ruby(abi)
+%endif
+%if 0%{?fedora}
+BuildRequires: rubygems-devel
+%endif
+Requires: ruby(rubygems)
+%if 0%{?rhel} || 0%{?fedora} < 19
+BuildRequires: ruby(abi)
+%endif
+BuildRequires: ruby(rubygems)
+BuildRequires: ruby
+BuildArch: noarch
+Provides: rubygem(%{gemname}) = %{version}
+
+%description
+Clamp provides an object-model for command-line utilities.
+It handles parsing of command-line options, and generation of usage help.
+
+
+%package doc
+Summary: Documentation for %{name}
+Group: Documentation
+Requires: %{name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{name}
+
+
+%prep
+%setup -q -c -T
+mkdir -p .%{gem_dir}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -pa .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+
+
+%files
+%dir %{geminstdir}
+%{geminstdir}/lib
+%{geminstdir}/spec
+%{geminstdir}/examples
+%{geminstdir}/.rspec
+%{geminstdir}/Gemfile
+%{geminstdir}/Rakefile
+%{geminstdir}/%{gemname}.gemspec
+
+
+%exclude %{gem_dir}/cache/%{gemname}-%{version}.gem
+%exclude %{geminstdir}/.travis.yml
+%exclude %{geminstdir}/.gitignore
+%exclude %{geminstdir}/.autotest
+%{gem_dir}/specifications/%{gemname}-%{version}.gemspec
+
+%files doc
+%doc %{gem_dir}/doc/%{gemname}-%{version}
+%{geminstdir}/README.md
+%{geminstdir}/CHANGES.md
+
+
+%changelog
+* Fri Nov 08 2013 Marek Hulan <mhulan@redhat.com> 0.6.2-1
+- Clamp version bump (mhulan@redhat.com)
+
+* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.6.1-9
+- Final bump
+
+* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.6.1-8
+- Bump one more time
+
+* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.6.1-7
+- Bump version to match up tags
+
+* Mon Aug 26 2013 Sam Kottler <shk@redhat.com> 0.6.1-6
+- Use macros provided by rubygems-devel on Fedora (shk@redhat.com)
+- gem_instdir (shk@redhat.com)
+- gem_instdir (shk@redhat.com)
+- Remove rubygems-devel (shk@redhat.com)
+- Use rubygems-devel (shk@redhat.com)
+
+* Tue Aug 06 2013 Sam Kottler <shk@redhat.com> 0.6.1-5
+- Don't require ruby(abi) on F19+ (shk@redhat.com)
+
+* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.6.1-4
+- Rebuild with the proper whitelist
+
+* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.6.1-3
+- Rebuild
+
+* Thu Aug 01 2013 Sam Kottler <shk@redhat.com> 0.6.1-2
+- Import the package into tito
+
+* Wed Jul 31 2013  <shk@linux.com> - 0.6.1-1
+- Initial package
diff --git a/rubygem-fast_gettext/fast_gettext-0.8.0.gem b/rubygem-fast_gettext/fast_gettext-0.8.0.gem
new file mode 120000
index 000000000..7e1b7b008
--- /dev/null
+++ b/rubygem-fast_gettext/fast_gettext-0.8.0.gem
@@ -0,0 +1 @@
+../.git/annex/objects/qF/PM/SHA256E-s89088--8bb9bda67c35f55f7fc84cd9b030d8d4d567f501fca2425e2ab3b24fe98766e1.0.gem/SHA256E-s89088--8bb9bda67c35f55f7fc84cd9b030d8d4d567f501fca2425e2ab3b24fe98766e1.0.gem
\ No newline at end of file
diff --git a/rubygem-fast_gettext/rubygem-fast_gettext.spec b/rubygem-fast_gettext/rubygem-fast_gettext.spec
new file mode 100644
index 000000000..786ccc908
--- /dev/null
+++ b/rubygem-fast_gettext/rubygem-fast_gettext.spec
@@ -0,0 +1,168 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir /usr/lib/ruby/gems/1.8
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_libdir %{gem_instdir}/lib
+%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%endif
+
+%global gem_name fast_gettext
+
+Summary: A simple, fast, memory-efficient and threadsafe implementation of GetText
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 0.8.0
+Release: 14%{?dist}
+Group: Development/Languages
+# fast_gettext is MIT. However the files in lib/vendor directory
+# are GPLv2+ or Ruby licensed.
+# https://github.com/grosser/fast_gettext/issues/50
+License: MIT and (GPLv2+ or Ruby)
+URL: http://github.com/grosser/fast_gettext
+Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
+%if "%{?scl}" == "ruby193"
+Requires: %{?scl_prefix}ruby-wrapper
+BuildRequires: %{?scl_prefix}ruby-wrapper
+%endif
+
+%if 0%{?fedora} > 18
+Requires: ruby(release) = 2.0.0
+BuildRequires: ruby(release) = 2.0.0
+BuildRequires: rubygems-devel
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires:  %{?scl_prefix}rubygems-devel
+%else
+Requires: ruby(abi) = 1.8
+BuildRequires: ruby(abi) = 1.8
+%endif
+%endif
+Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix}rubygems
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+A simple, fast, memory-efficient and threadsafe implementation of GetText
+
+%package doc
+Summary: Documentation for %{pkg_name}
+Group: Documentation
+Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{pkg_name}
+
+%prep
+%setup -n %{pkg_name}-%{version} -q -c -T
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+%{?scl:"}
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+
+# temp fix until https://github.com/grosser/fast_gettext/pull/62 is resolved
+find %{buildroot}%{gem_libdir} -type f -exec chmod -x {} +
+
+# SCL-enable shebang lines
+find %{buildroot}%{gem_libdir} -type f -exec \
+  sed -i -e 's"^#! /usr/bin/ruby"#!%{?scl:%_scl_root}/usr/bin/ruby"' {} +
+
+%files
+%dir %{gem_instdir}
+%exclude %{gem_instdir}/.*
+%doc %{gem_instdir}/Readme.md
+%exclude %{gem_instdir}/fast_gettext.gemspec
+%{gem_libdir}
+%{gem_cache}
+%{gem_spec}
+
+%files doc
+%doc %{gem_instdir}/CHANGELOG
+%{gem_instdir}/Gemfile*
+%{gem_instdir}/Appraisals
+%{gem_instdir}/Rakefile
+%{gem_instdir}/benchmark
+%doc %{gem_instdir}/examples
+%{gem_instdir}/gemfiles
+%{gem_instdir}/spec
+%doc %{gem_docdir}
+
+%changelog
+* Wed Mar 19 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-14
+- remove unnecessary Require for rubygems-devel. Only needed as a BuildRequire
+  (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-13
+- fix fedora 19 builds, add rubygems-devel dependency (jmontleo@redhat.com)
+
+* Mon Mar 17 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-7
+- update build dependencies (jmontleo@redhat.com)
+
+* Mon Mar 17 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-6
+- update build dependencies (jmontleo@redhat.com)
+
+* Mon Mar 17 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-5
+- update build dependencies (jmontleo@redhat.com)
+
+* Mon Mar 17 2014 Jason Montleon <jmontleo@redhat.com> 0.8.0-4
+-
+
+* Mon Dec 02 2013 Jason Montleon <jmontleo@redhat.com> 0.8.0-3
+- Temporary file permission fix for string.rb (lzap+git@redhat.com)
+- SCL-enable shebang lines (dcleal@redhat.com)
+
+* Tue Sep 17 2013 Jason Montleon <jmontleo@redhat.com> 0.8.0-2
+- update rubygem-fast_gettext to 0.8.0 for Foreman 1.3 (jmontleo@redhat.com)
+
+* Thu Sep 12 2013 Lukas Zapletal <lzap+git@redhat.com> 0.8.0-2
+- Revert "update rubygems to include wrapper BuildRequires and Requires"
+  (jmontleo@redhat.com)
+- update rubygems to include wrapper BuildRequires and Requires
+  (jmontleo@redhat.com)
+
+* Fri Aug 30 2013 Lukas Zapletal <lzap+rpm[@]redhat.com> - 0.8.0-1
+- update to 0.8.0 (multi-domain support)
+- renamed spec name to comply with standards
+- new SPEC content derived from F19 (0.7.1-1) and spec2scl
+
+* Mon Aug 19 2013 Vít Ondruch <vondruch@redhat.com> - 0.7.1-1
+- Update to fast_gettext 0.7.1.
+
+* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
+
+* Thu Mar 07 2013 Vít Ondruch <vondruch@redhat.com> - 0.7.0-1
+- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
+- Update to fast_gettext 0.7.0.
+
+* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
+
+* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
+
+* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.6.1-3
+- Rebuilt for Ruby 1.9.3.
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Mon Oct 17 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.1-1
+- Update to fast_gettext 6.1.
+
+* Mon Aug 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.13-1
+- Initial package
diff --git a/rubygem-fastercsv/fastercsv-1.5.4.gem b/rubygem-fastercsv/fastercsv-1.5.4.gem
new file mode 120000
index 000000000..3896591b2
--- /dev/null
+++ b/rubygem-fastercsv/fastercsv-1.5.4.gem
@@ -0,0 +1 @@
+../.git/annex/objects/pg/PP/SHA256E-s125440--11d84c899762234dff4ff67cf9c3fb467542afb5f7a184ef465b5964b987b100.4.gem/SHA256E-s125440--11d84c899762234dff4ff67cf9c3fb467542afb5f7a184ef465b5964b987b100.4.gem
\ No newline at end of file
diff --git a/rubygem-fastercsv/rubygem-fastercsv.spec b/rubygem-fastercsv/rubygem-fastercsv.spec
new file mode 100644
index 000000000..a89815c63
--- /dev/null
+++ b/rubygem-fastercsv/rubygem-fastercsv.spec
@@ -0,0 +1,104 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%global gem_name fastercsv
+
+Summary:	Faster, smaller and cleaner replacement to standard CSV library
+Name:		%{?scl_prefix}rubygem-%{gem_name}
+Version:	1.5.4
+Release:	6%{?dist}
+License:	GPLv2 or Ruby
+Group:		Development/Languages
+URL:		http://fastercsv.rubyforge.org/
+Source:		http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
+
+%if 0%{?fedora} && 0%{?fedora} > 18
+Requires:	%{?scl_prefix}ruby(release)
+%else
+Requires:	%{?scl_prefix}ruby(abi)
+%endif
+Requires:	%{?scl_prefix}rubygems
+Provides:	%{?scl_prefix}rubygem(%{gem_name}) = %{version}
+BuildRequires:	%{?scl_prefix}rubygems
+BuildRequires:  %{?scl_prefix}rubygems-devel
+BuildArch:	noarch
+
+%description
+FasterCSV is intended as a complete replacement to the CSV standard library.
+It is significantly faster and smaller while still being pure Ruby code. It
+also strives for a better interface.
+
+%prep
+
+%build
+
+%install
+rm -rf $RPM_BUILD_ROOT
+mkdir -p $RPM_BUILD_ROOT%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} --force --rdoc %{SOURCE0}
+%{?scl:"}
+
+# Find files with a shebang that do not have executable permissions
+for file in $(find $RPM_BUILD_ROOT%{gem_instdir} -type f ! -perm /a+x -name "*.rb"); do
+  if [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ]; then
+    sed -e 's@/usr/local/bin/ruby@%{_bindir}/ruby@g' -i $file
+    chmod -v 755 $file
+  fi
+done
+%{__rm} -Rf %{buildroot}/%{gem_instdir}/.yardoc
+
+%check
+#ruby -I $RPM_BUILD_ROOT%{gem_instdir}/lib:$RPM_BUILD_ROOT%{gem_instdir}/test $RPM_BUILD_ROOT%{gem_instdir}/test/ts_all.rb
+
+%files
+%doc %{gem_dir}/doc/%{gem_name}-%{version}
+%{gem_dir}/cache/%{gem_name}-%{version}.gem
+%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+%dir %{gem_dir}/gems/%{gem_name}-%{version}/
+%doc %{gem_instdir}/AUTHORS
+%doc %{gem_instdir}/CHANGELOG
+%doc %{gem_instdir}/COPYING
+%doc %{gem_instdir}/INSTALL
+%doc %{gem_instdir}/LICENSE
+%doc %{gem_instdir}/README
+%doc %{gem_instdir}/TODO
+%{gem_instdir}/Rakefile
+%{gem_instdir}/examples/
+%{gem_instdir}/lib/
+%{gem_instdir}/setup.rb
+%{gem_instdir}/test/
+
+%changelog
+* Tue Jan 07 2014 Dominic Cleal <dcleal@redhat.com> 1.5.4-6
+- Update spec for Fedora 19 with ruby(release) (dcleal@redhat.com)
+- remove empty tito.props and definition which are duplicate with default from
+  rel-eng/tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Fri Mar 01 2013 Miroslav Suchý <msuchy@redhat.com> 1.5.4-4
+- new package built with tito
+
+* Mon Jul 16 2012 Miroslav Suchý <msuchy@redhat.com> 1.5.4-3
+- new package built with tito
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.4-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Sat Oct 08 2011 Robert Scheck <robert@fedoraproject.org> 1.5.4-1
+- Upgrade to 1.5.4
+
+* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
+
+* Sun Mar 28 2010 Robert Scheck <robert@fedoraproject.org> 1.5.1-1
+- Upgrade to 1.5.1
+
+* Sun Aug 09 2009 Robert Scheck <robert@fedoraproject.org> 1.5.0-2
+- Added missing requirement to ruby(abi) = version (#514928 #c1)
+- Switched from defines to globals, updated summary in spec file
+- Corrected license tag and removed duplicates in docs (#514928)
+
+* Fri Jul 31 2009 Robert Scheck <robert@fedoraproject.org> 1.5.0-1
+- Upgrade to 1.5.0
+- Initial spec file for Fedora and Red Hat Enterprise Linux
diff --git a/rubygem-highline/highline-1.6.21.gem b/rubygem-highline/highline-1.6.21.gem
new file mode 120000
index 000000000..cda86a1a1
--- /dev/null
+++ b/rubygem-highline/highline-1.6.21.gem
@@ -0,0 +1 @@
+../.git/annex/objects/GF/FX/SHA256E-s221184--c136298eee86ceff87baadc71d764ea07986f89805636e4a6a305b2d5da07519.21.gem/SHA256E-s221184--c136298eee86ceff87baadc71d764ea07986f89805636e4a6a305b2d5da07519.21.gem
\ No newline at end of file
diff --git a/rubygem-highline/highline.spec b/rubygem-highline/highline.spec
new file mode 100644
index 000000000..95d245008
--- /dev/null
+++ b/rubygem-highline/highline.spec
@@ -0,0 +1,139 @@
+%{?scl:%scl_package rubygem-%{gemname}}
+%{!?scl:%global pkg_name %{name}}
+
+# check files-sections at the end of this file and
+# EDIT this section
+
+%global gem_name highline
+
+%define _version 1.6.21
+%define _summary "HighLine is a high-level command-line IO library"
+%define _url "https://github.com/JEG2/highline"
+%define _license GPLv2+ or Ruby
+
+# add gem dependencies, e.g. "Requires: %{?scl_prefix}rubygem(rails) > 3.2"
+
+# end of EDIT
+
+%if 0%{?rhel} == 6 || 0%{?fedora} < 17
+%if "%{?scl}" == "ruby193"
+%define rubyabi 1.9.1
+%else
+%define rubyabi 1.8
+%endif
+%else
+%define rubyabi 1.9.1
+%endif
+
+%if 0%{?rhel} == 6 &&  "%{?scl}" != "ruby193"
+%global gem_dir %(ruby -rubygems -e 'puts Gem.dir' 2>/dev/null)
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_libdir %{gem_dir}/gems/%{gem_name}-%{version}/lib
+%endif
+
+Name:      %{?scl_prefix}rubygem-%{gem_name}
+Version:   %{_version}
+Release:   1%{?dist}
+Summary:   %{_summary}
+Group:     Development/Languages
+License:   %{_license}
+URL:       %{_url}
+Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
+
+BuildArch: noarch
+Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%if 0%{?fedora} > 18
+Requires:  %{?scl_prefix}ruby(release)
+%else
+Requires:  %{?scl_prefix}ruby(abi) = %{rubyabi}
+%endif
+Requires:  %{?scl_prefix}rubygems
+
+%if 0%{?fedora} || "%{?scl}" == "ruby193"
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+%if 0%{?fedora} > 18
+BuildRequires: %{?scl_prefix}ruby(release)
+%else
+BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+%endif
+BuildRequires: %{?scl_prefix}rubygems
+
+%description
+A high-level IO library that provides validation, type conversion, and more
+for
+command-line interfaces. HighLine also includes a complete menu system that
+can
+crank out anything from simple list selection to complete shells with just
+minutes of work.
+
+%prep
+%{?scl:scl enable %{scl} "}
+gem unpack %{SOURCE0}
+%{?scl:"}
+%setup -q -D -T -n %{gem_name}-%{version}
+
+%{?scl:scl enable %{scl} "}
+gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
+%{?scl:"}
+
+%build
+%{?scl:scl enable %{scl} "}
+gem build %{gem_name}.gemspec
+%{?scl:"}
+
+%if 0%{?fedora} > 18
+%gem_install
+%else
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install -V --local --install-dir .%{gem_dir} --force --rdoc \
+    %{gem_name}-%{version}.gem
+%{?scl:"}
+%endif
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
+
+%files
+%defattr(-, root, root, -)
+
+%{gem_dir}/gems/%{gem_name}-%{version}/
+
+%doc %{gem_dir}/doc/%{gem_name}-%{version}
+
+
+%doc %{gem_instdir}/README.rdoc
+
+%doc %{gem_instdir}/INSTALL
+
+%doc %{gem_instdir}/TODO
+
+%doc %{gem_instdir}/CHANGELOG
+
+%doc %{gem_instdir}/LICENSE
+
+%{gem_dir}/cache/%{gem_name}-%{version}.gem
+%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+
+%changelog
+* Mon Mar 10 2014 Marek Hulan <mhulan@redhat.com> 1.6.21-1
+- Update highline to 1.6.21 (mhulan@redhat.com)
+
+* Mon Nov 18 2013 Marek Hulan <mhulan@redhat.com> 1.6.20-2
+- SCLize highline (mhulan@redhat.com)
+
+* Mon Nov 18 2013 Marek Hulan <mhulan@redhat.com> 1.6.20-1
+- Bump Highline (mhulan@redhat.com)
+
+* Wed Nov 10 2010 Shannon Hughes <shughes@redhat.com> 1.6.1-2
+- - mass gem update - updated specs for fedora guidelines - removed dev
+  dependencies in specs (shughes@redhat.com)
+
+* Fri Nov 05 2010 Shannon Hughes <shughes@redhat.com> - 1.6.1-1
+- Initial package
diff --git a/rubygem-little-plugger/little-plugger-1.1.3.gem b/rubygem-little-plugger/little-plugger-1.1.3.gem
new file mode 120000
index 000000000..73a1a4426
--- /dev/null
+++ b/rubygem-little-plugger/little-plugger-1.1.3.gem
@@ -0,0 +1 @@
+../.git/annex/objects/pk/qg/SHA256E-s9216--d7a3a4582a00ff65955eeded02c6d127f3858f4e101e2fe4c795c7423dd83d33.3.gem/SHA256E-s9216--d7a3a4582a00ff65955eeded02c6d127f3858f4e101e2fe4c795c7423dd83d33.3.gem
\ No newline at end of file
diff --git a/rubygem-little-plugger/rubygem-little-plugger.spec b/rubygem-little-plugger/rubygem-little-plugger.spec
new file mode 100644
index 000000000..ff0b42cd8
--- /dev/null
+++ b/rubygem-little-plugger/rubygem-little-plugger.spec
@@ -0,0 +1,150 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%global gem_name little-plugger
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%global gem_cache %{gem_dir}/cache
+%global gem_spec %{gem_dir}/specifications
+%endif
+
+Summary: LittlePlugger is a module that provides Gem based plugin management
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 1.1.3
+Release: 17%{?dist}
+Group: Development/Languages
+License: MIT
+URL: http://rubygems.org/gems/little-plugger
+Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
+Requires: %{?scl_prefix}ruby(rubygems)
+
+%if 0%{?fedora} && 0%{?fedora} > 18
+Requires: %{?scl_prefix}ruby(release)
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+%else
+Requires: %{?scl_prefix}ruby(abi) = 1.8
+%endif
+%endif
+
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+LittlePlugger is a module that provides Gem based plugin management.
+By extending your own class or module with LittlePlugger you can easily
+manage the loading and initializing of plugins provided by other gems.
+
+%package doc
+Summary: Documentation for %{pkg_name}
+Group: Documentation
+
+Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+
+%description doc
+This package contains documentation for %{pkg_name}.
+
+%prep
+%setup -n %{pkg_name}-%{version} -q -c -T
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir .%{gem_dir} \
+            --force --rdoc %{SOURCE0}
+%{?scl:"}
+
+%build
+
+
+%install
+rm -rf %{buildroot}
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
+
+# Workaround for rubygems being able to parse a timestamp in a date
+find %{buildroot}/%{gem_spec} -name %{gem_name}-%{version}.gemspec -exec sed -i 's/ 00:00:00.000000000Z//' {} +
+
+%check
+
+%files
+%dir %{gem_instdir}
+%exclude %{gem_instdir}/.gitignore
+%{gem_instdir}/lib
+%{gem_instdir}/spec
+%exclude %{gem_cache}
+%{gem_spec}
+# contains licensing information
+%doc %{gem_instdir}/README.rdoc
+
+%files doc
+%{gem_instdir}/spec
+%{gem_instdir}/Rakefile
+%doc %{gem_docdir}/ri
+%doc %{gem_docdir}/rdoc
+%doc %{gem_instdir}/History.txt
+
+%changelog
+* Wed Aug 28 2013 Dominic Cleal <dcleal@redhat.com> 1.1.3-17
+- Don't override gem macros when building under SCL (dcleal@redhat.com)
+
+* Wed Aug 21 2013 Dominic Cleal <dcleal@redhat.com> 1.1.3-16
+- Remove timestamps from gemspec dates (dcleal@redhat.com)
+
+* Tue Aug 20 2013 Dominic Cleal <dcleal@redhat.com> 1.1.3-15
+- fix dependency on ruby(abi) for ruby193 SCL builds (dcleal@redhat.com)
+
+* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.1.3-14
+- Use updated logic for ruby-abi and ruby-release (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.1.3-13
+- Fix logic and add whitelist (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.1.3-12
+- Grumble grumble (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.1.3-11
+- Weird logic change (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.1.3-10
+- Fix some broken logic (shk@redhat.com)
+- Untwisted the little-plugger spec (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.1.3-9
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Mon Mar 11 2013 Lukas Zapletal <lzap+git@redhat.com> 1.1.3-6
+- fixing ruby193 scl package (lzap+git@redhat.com)
+
+* Mon Mar 11 2013 Lukas Zapletal <lzap+git@redhat.com> 1.1.3-5
+- new package built with tito
+
+* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
+
+* Mon Jan 23 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.3-3
+- Rebuilt for Ruby 1.9.3.
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Fri Nov 18 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.3-1
+- Update to 1.1.3 version (migrates tests to rspec 2, thanks Vit Ondruch for patch for upstream).
+
+* Wed Nov 02 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1.2-3
+- Introduced doc subpackage.
+- Introduced check section.
+- Removed rspec from Requires and moved it to BuildRequires, as it is only needed for running specs.
+
+* Sat Apr 02 2011 Chris Lalancette <clalance@redhat.com> - 1.1.2-2
+- Use the gem from rubygems.org instead of from git
+
+* Wed Mar 16 2011 Chris Lalancette <clalance@redhat.com> - 1.1.2-1
+- Initial package
diff --git a/rubygem-locale/locale-2.0.9.gem b/rubygem-locale/locale-2.0.9.gem
new file mode 120000
index 000000000..d97eb909f
--- /dev/null
+++ b/rubygem-locale/locale-2.0.9.gem
@@ -0,0 +1 @@
+../.git/annex/objects/1z/wp/SHA256E-s104960--ca3a8a73da16b455168238e79dc2e49889f919ea7fb8a304ee5d311fb66f72f5.9.gem/SHA256E-s104960--ca3a8a73da16b455168238e79dc2e49889f919ea7fb8a304ee5d311fb66f72f5.9.gem
\ No newline at end of file
diff --git a/rubygem-locale/rubygem-locale.spec b/rubygem-locale/rubygem-locale.spec
new file mode 100644
index 000000000..40f0eb89d
--- /dev/null
+++ b/rubygem-locale/rubygem-locale.spec
@@ -0,0 +1,255 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir /usr/lib/ruby/gems/1.8
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_libdir %{gem_instdir}/lib
+%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%endif
+
+# Generated from locale-2.0.0.gem by gem2rpm -*- rpm-spec -*-
+
+%global	gem_name   locale
+
+%global	repoid		67114
+
+Summary:	Pure ruby library which provides basic APIs for localization
+Name:		%{?scl_prefix}rubygem-%{gem_name}
+Version:	2.0.9
+Release:	7%{?dist}
+Group:		Development/Languages
+License:	GPLv2 or Ruby
+URL:		http://locale.rubyforge.org/
+#Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
+Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{gem_name}-%{version}.gem
+
+BuildArch:	noarch
+%if "%{?scl}" == "ruby193"
+Requires: %{?scl_prefix}ruby-wrapper
+BuildRequires: %{?scl_prefix}ruby-wrapper
+%endif
+
+%if 0%{?fedora} > 19
+Requires: ruby(release) = 2.0.0
+BuildRequires: ruby(release) = 2.0.0
+Requires: rubygems-devel
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+BuildRequires: %{?scl_prefix}rubygems-devel
+%else
+Requires: ruby(abi) = 1.8
+BuildRequires: ruby(abi) = 1.8
+%endif
+%endif
+Requires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix}rubygems
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+Ruby-Locale is the pure ruby library which provides basic and general purpose
+APIs for localization.
+It aims to support all environments which ruby works and all kind of programs
+(GUI, WWW, library, etc), and becomes the hub of other i18n/l10n libs/apps to
+handle major locale ID standards.
+
+%package	doc
+Summary:	Documentation for %{pkg_name}
+Group:		Documentation
+Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+
+%description	doc
+This package contains documentation for %{pkg_name}.
+
+%package	-n %{?scl_prefix}ruby-%{gem_name}
+Summary:	Non-Gem support package for %{gem_name}
+Group:		Development/Languages
+Requires:	%{?scl_prefix}%{pkg_name} = %{version}-%{release}
+Provides:	%{?scl_prefix}ruby(%{gem_name}) = %{version}-%{release}
+
+%description	-n %{?scl_prefix}ruby-%{gem_name}
+This package provides non-Gem support for %{gem_name}.
+
+%prep
+%setup -n %{pkg_name}-%{version} -q -c -T
+%{?scl:scl enable %{scl} "}
+gem install \
+	--local \
+	--install-dir .%{gem_dir} \
+	--force \
+	--rdoc \
+	-V \
+	%{SOURCE0}
+%{?scl:"}
+
+# rm -f .%{gem_instdir}/Rakefile
+find . -name \*gem | xargs chmod 0644
+
+# fix timestamps
+find . -type f -print0 | xargs -0 touch -r %{SOURCE0}
+
+%build
+
+%install
+rm -rf %{buildroot}
+
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
+
+# The following method is completely copied from rubygem-gettext
+# spec file
+#
+# Create symlinks
+
+create_symlink_rec(){
+
+ORIGBASEDIR=$1
+TARGETBASEDIR=$2
+
+## First calculate relative path of ORIGBASEDIR
+## from TARGETBASEDIR
+TMPDIR=$TARGETBASEDIR
+BACKDIR=
+DOWNDIR=
+num=0
+nnum=0
+while true
+do
+	num=$((num+1))
+	TMPDIR=$(echo $TMPDIR | sed -e 's|/[^/][^/]*$||')
+	DOWNDIR=$(echo $ORIGBASEDIR | sed -e "s|^$TMPDIR||")
+	if [ x$DOWNDIR != x$ORIGBASEDIR ]
+	then
+		nnum=0
+		while [ $nnum -lt $num ]
+		do
+			BACKDIR="../$BACKDIR"
+			nnum=$((nnum+1))
+		done
+		break
+	fi
+done
+
+RELBASEDIR=$( echo $BACKDIR/$DOWNDIR | sed -e 's|//*|/|g' )
+
+## Next actually create symlink
+pushd %{buildroot}/$ORIGBASEDIR
+find . -type f | while read f
+do
+	DIRNAME=$(dirname $f)
+	BACK2DIR=$(echo $DIRNAME | sed -e 's|/[^/][^/]*|/..|g')
+	mkdir -p %{buildroot}${TARGETBASEDIR}/$DIRNAME
+	LNNAME=$(echo $BACK2DIR/$RELBASEDIR/$f | \
+		sed -e 's|^\./||' | sed -e 's|//|/|g' | \
+		sed -e 's|/\./|/|' )
+	ln -s -f $LNNAME %{buildroot}${TARGETBASEDIR}/$f
+done
+popd
+
+}
+
+%if 0%{?ruby19} < 1
+#create_symlink_rec %{gem_instdir}/lib %{ruby_sitelib}
+%endif
+
+# Clean up unneeded files
+rm -f %{buildroot}%{gem_instdir}/.yardopts
+
+%check
+
+%clean
+rm -rf %{buildroot}
+
+%files
+%defattr(-,root,root,-)
+%dir %{gem_instdir}/
+%doc %{gem_instdir}/[A-Z]*
+%doc %{gem_instdir}/doc/
+%exclude %{gem_instdir}/Rakefile
+%{gem_instdir}/lib/
+#%%{gem_instdir}/*.rb
+%{gem_cache}
+%{gem_spec}
+
+%files doc
+%defattr(-,root,root,-)
+%{gem_docdir}/
+%{gem_instdir}/samples/
+%{gem_instdir}/test/
+%{gem_instdir}/*.gemspec
+
+%changelog
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-7
+- new package built with tito
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-6
+- further rpm spec file fixes (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-5
+- fix provides in rpm spec (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-4
+- more rpm spec file fixes (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-3
+- disable checks for now (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-2
+- fix (build)requires (jmontleo@redhat.com)
+
+* Tue Mar 18 2014 Jason Montleon <jmontleo@redhat.com> 2.0.9-1
+- make corrections to rpm spec file (jmontleo@redhat.com)
+
+* Thu Sep 12 2013 Jason Montleon <jmontleo@redhat.com> 2.0.8-4
+- new package built with tito
+
+* Wed May 08 2013 Dominic Cleal <dcleal@redhat.com> 2.0.8-3
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Tue Mar 12 2013 Lukas Zapletal <lzap+git@redhat.com> 2.0.8-2
+- new package built with tito
+
+* Tue Sep 11 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.0.8-1
+- 2.0.8
+
+* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-6
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
+
+* Tue Apr 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 2.0.5-5
+- Fix conditionals for F17 to work for RHEL 7 as well.
+
+* Sun Jan 29 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.0.5-4
+- F-17: rebuild against ruby 1.9
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3.1
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-2.1
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
+
+* Tue Jan 12 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
+- gems.rubyforge.org gem file seems old, changing Source0 URL for now
+
+* Wed Nov 18 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.5-1
+- 2.0.5
+- Fix the license tag
+
+* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-2
+- F-12: Mass rebuild
+
+* Wed May 27 2009  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-1
+- 2.0.4
+
+* Mon May 11 2009  Mamoru Tasaka <mtasaka@ios.s.u-tokyo.ac.jp> - 2.0.3-1
+- 2.0.3
+
+* Tue Apr 21 2009  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.1-1
+- 2.0.1
+
+* Thu Mar 26 2009  Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-1
+- Initial package
diff --git a/rubygem-logging/logging-1.8.1.gem b/rubygem-logging/logging-1.8.1.gem
new file mode 120000
index 000000000..450ce5f2a
--- /dev/null
+++ b/rubygem-logging/logging-1.8.1.gem
@@ -0,0 +1 @@
+../.git/annex/objects/kM/pm/SHA256E-s88064--b32b8f7a74ed232b741ab7d195ac31770bd2bd8f4bb7c3476384ff0e44866f64.1.gem/SHA256E-s88064--b32b8f7a74ed232b741ab7d195ac31770bd2bd8f4bb7c3476384ff0e44866f64.1.gem
\ No newline at end of file
diff --git a/rubygem-logging/rubygem-logging.spec b/rubygem-logging/rubygem-logging.spec
new file mode 100644
index 000000000..aebab9820
--- /dev/null
+++ b/rubygem-logging/rubygem-logging.spec
@@ -0,0 +1,193 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%global gem_cache %{gem_dir}/cache
+%global gem_spec %{gem_dir}/specifications
+%endif
+
+%global gem_name logging
+
+Summary: A flexible and extendable logging library for Ruby
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 1.8.1
+Release: 25%{?dist}
+Group: Development/Languages
+License: Ruby or BSD
+URL: http://rubygems.org/gems/logging
+Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
+BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
+Requires: %{?scl_prefix}ruby(rubygems)
+
+%if 0%{?fedora} && 0%{?fedora} > 18
+Requires: %{?scl_prefix}ruby(release)
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+%else
+Requires: %{?scl_prefix}ruby(abi) = 1.8
+%endif
+%endif
+
+Requires: %{?scl_prefix}rubygem(little-plugger) >= 1.1.3
+Requires: %{?scl_prefix}rubygem(multi_json) >= 1.3.6
+
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+
+BuildRequires: %{?scl_prefix}rubygem(little-plugger) >= 1.1.3
+# BuildRequires: %{?scl_prefix}rubygem(flexmock) >= 0.9.0
+# BuildRequires: %{?scl_prefix}rubygem(minitest)
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+Logging is a flexible logging library for use in Ruby programs based on the
+design of Java's log4j library. It features a hierarchical logging system,
+custom level names, multiple output destinations per log event, custom
+formatting, and more.
+
+%package doc
+Summary: Documentation for %{pkg_name}
+Group: Documentation
+
+Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+
+%description doc
+This package contains documentation for %{pkg_name}.
+
+
+%prep
+%setup -n %{pkg_name}-%{version} -q -c -T
+
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir .%{gem_dir} \
+            --force --rdoc %{SOURCE0}
+%{?scl:"}
+
+%build
+
+%install
+rm -rf %{buildroot}
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
+
+%files
+%dir %{gem_instdir}
+%{gem_instdir}/data
+# contains licensing information
+%doc %{gem_instdir}/README.rdoc
+# version.txt is needed for runtime
+%{gem_instdir}/version.txt
+%exclude %{gem_instdir}/.gitignore
+%exclude %{gem_instdir}/.travis.yml
+%{gem_instdir}/lib
+%{gem_spec}
+%exclude %{gem_cache}
+
+%files doc
+%{gem_instdir}/examples
+%{gem_instdir}/test
+%{gem_instdir}/Rakefile
+%doc %{gem_docdir}/ri
+%doc %{gem_docdir}/rdoc
+%doc %{gem_instdir}/History.txt
+
+%changelog
+* Wed Aug 28 2013 Dominic Cleal <dcleal@redhat.com> 1.8.1-25
+- Don't override gem macros when building under SCL (dcleal@redhat.com)
+
+* Wed Aug 21 2013 Dominic Cleal <dcleal@redhat.com> 1.8.1-24
+- Add multi_json dependency, update little-plugger version (dcleal@redhat.com)
+
+* Tue Aug 20 2013 Dominic Cleal <dcleal@redhat.com> 1.8.1-23
+- fix dependency on ruby(abi) for ruby193 SCL builds (dcleal@redhat.com)
+
+* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.8.1-22
+- Remove SCL conditional
+
+* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.8.1-21
+- Fix SCL logic (shk@redhat.com)
+
+* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.8.1-20
+- Fix dep issues with ruby-abi (again) (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-19
+- Fix ruby-abi version on RHEL (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-18
+- Fix ruby-abi version on RHEL (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-17
+- gem_dir -> gem_instdir (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-16
+- Remove superfluous excludes (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-15
+- Add more rubygem-devel stuff (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-14
+- Fix gem_instdir (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-13
+- Remove test running (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-12
+- Remove excessive conditional (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.8.1-11
+- Fixed a minor syntax error (shk@redhat.com)
+- Ensure the correct ABI version or release is used (shk@redhat.com)
+
+* Tue Aug 13 2013 Sam Kottler <shk@redhat.com> 1.8.1-10
+- Final bump for release
+
+* Tue Aug 13 2013 Sam Kottler <shk@redhat.com> 1.8.1-9
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Tue Aug 13 2013 Sam Kottler <shk@redhat.com>
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Tue Aug 13 2013 Sam Kottler <shk@redhat.com>
+- delete all zero sized tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Tue Mar 12 2013 Lukas Zapletal <lzap+git@redhat.com> 1.8.1-5
+- fixing ruby193 scl package (lzap+git@redhat.com)
+
+* Mon Mar 11 2013 Lukas Zapletal <lzap+git@redhat.com> 1.6.2-4
+- fixing ruby193 scl package (lzap+git@redhat.com)
+
+* Mon Mar 11 2013 Lukas Zapletal <lzap+git@redhat.com> 1.6.2-3
+- new package built with tito
+
+* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
+
+* Mon Jan 30 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.6.2-1
+- Rebuilt for Ruby 1.9.3.
+- Updated to version 1.6.2.
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Wed Nov 02 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 1.6.1-1
+- New version.
+- Removed unnecessary defattr macro in files section.
+- Removed unnecessary clean section.
+- Replaced define macros with more appropriate global.
+- Moved gem install to the prep section.
+- Added check section to run tests.
+- BuildRequires now contain rubygem(little-plugger) and rubygem(flexmock) due to running tests.
+- Introduced doc subpackage.
+
+* Wed Mar 16 2011 Chris Lalancette <clalance@redhat.com> - 1.4.3-1
+- Initial package
diff --git a/rubygem-multi_json/multi_json-1.8.2.gem b/rubygem-multi_json/multi_json-1.8.2.gem
new file mode 120000
index 000000000..b30e4dde4
--- /dev/null
+++ b/rubygem-multi_json/multi_json-1.8.2.gem
@@ -0,0 +1 @@
+../.git/annex/objects/3V/K9/SHA256E-s29696--ab4155637bdbea7f80ded93f8b2f7e14ef283043e9856ed0bcfa35ee34b7d5b9.2.gem/SHA256E-s29696--ab4155637bdbea7f80ded93f8b2f7e14ef283043e9856ed0bcfa35ee34b7d5b9.2.gem
\ No newline at end of file
diff --git a/rubygem-multi_json/rubygem-multi_json.spec b/rubygem-multi_json/rubygem-multi_json.spec
new file mode 100644
index 000000000..66d1113e2
--- /dev/null
+++ b/rubygem-multi_json/rubygem-multi_json.spec
@@ -0,0 +1,169 @@
+%{!?scl:%global pkg_name %{name}}
+%{?scl:%scl_package rubygem-%{gem_name}}
+%global gem_name multi_json
+
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%global gem_libdir %{gem_instdir}/lib
+%global gem_cache %{gem_dir}/cache
+%global gem_spec %{gem_dir}/specifications
+%endif
+
+Summary: A gem to provide swappable JSON backends
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 1.8.2
+Release: 1%{?dist}
+Group: Development/Languages
+License: MIT
+URL: http://github.com/intridea/multi_json
+Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
+
+%if 0%{?fedora} && 0%{?fedora} > 18
+Requires: %{?scl_prefix}ruby(release)
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+%else
+Requires: %{?scl_prefix}ruby(abi) = 1.8
+%endif
+%endif
+
+Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix}ruby
+
+%if 0%{?fedora} && 0%{?fedora} > 18
+BuildRequires: %{?scl_prefix}ruby(release)
+%else
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.9.1
+%else
+BuildRequires: %{?scl_prefix}ruby(abi) = 1.8
+%endif
+%endif
+
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+
+BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix}rubygem(json)
+BuildRequires: %{?scl_prefix}rubygem(json_pure)
+BuildRequires: %{?scl_prefix}rubygem(rspec)
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+# OkJson is allowed to be bundled:
+# https://fedorahosted.org/fpc/ticket/113
+Provides: bundled(%{?scl_prefix}okjson) = 20110719
+
+%description
+A gem to provide swappable JSON backends utilizing Yajl::Ruby, the JSON gem,
+JSON pure, or a vendored version of okjson.
+
+
+%package doc
+Summary: Documentation for %{pkg_name}
+Group: Documentation
+Requires: %{?scl:%scl_prefix}%{pkg_name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{pkg_name}
+
+
+%prep
+%setup -q -c -T
+mkdir -p .%{gem_dir}
+%{?scl:scl enable %scl "}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+%{?scl:"}
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -a .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+
+# Remove useless shebang.
+sed -i -e '/^#!\/usr\/bin\/env/d' %{buildroot}%{gem_instdir}/Rakefile
+
+%files
+%dir %{gem_instdir}
+%exclude %{gem_instdir}/.*
+%exclude %{gem_instdir}/Gemfile
+%exclude %{gem_instdir}/%{gem_name}.gemspec
+%doc %{gem_instdir}/LICENSE.md
+%{gem_libdir}
+%exclude %{gem_cache}
+%{gem_spec}
+
+%files doc
+%doc %{gem_docdir}
+%doc %{gem_instdir}/CHANGELOG.md
+%doc %{gem_instdir}/CONTRIBUTING.md
+%doc %{gem_instdir}/LICENSE.md
+%doc %{gem_instdir}/README.md
+%{gem_instdir}/Rakefile
+%{gem_instdir}/spec
+
+
+%changelog
+* Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 1.8.2-1
+- Rebase to multi_json 1.8.2 (dcleal@redhat.com)
+
+* Wed Aug 21 2013 Dominic Cleal <dcleal@redhat.com> 1.3.6-11
+- Don't override gem macros when building under SCL (dcleal@redhat.com)
+
+* Tue Aug 20 2013 Dominic Cleal <dcleal@redhat.com> 1.3.6-10
+- fix dependency on ruby(abi) for ruby193 SCL builds (dcleal@redhat.com)
+
+* Fri Aug 16 2013 Sam Kottler <shk@redhat.com> 1.3.6-9
+- Rebuild for proper version dependencies
+
+* Thu Aug 15 2013 Sam Kottler <shk@redhat.com> 1.3.6-8
+- Removed rubygems version requirement (shk@redhat.com)
+
+* Thu Aug 15 2013 Sam Kottler <shk@redhat.com> 1.3.6-7
+- Corrected the abi logic (shk@redhat.com)
+- Ensure the right ruby(abi) is used on F18 (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.3.6-6
+- Fix another conditional (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.3.6-5
+- Fix conditional (shk@redhat.com)
+
+* Wed Aug 14 2013 Sam Kottler <shk@redhat.com> 1.3.6-4
+- Modernize the gemspec for SCL and non-SCL (shk@redhat.com)
+- remove empty tito.props and definition which are duplicate with default from
+  rel-eng/tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Thu Feb 28 2013 Miroslav Suchý <msuchy@redhat.com> 1.3.6-2
+- new package built with tito
+
+* Wed Jul 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.3.6-1
+- Updated to Multi_Json 1.3.6.
+- Specfile cleanup
+
+* Mon Apr 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.0-1
+- Rebuilt for scl.
+- Updated to 1.2.0.
+
+* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 1.0.3-5
+- Rebuilt for Ruby 1.9.3.
+
+* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
+
+* Fri Nov 11 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.3-3
+- Removed useless shebang.
+
+* Fri Nov 11 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.3-2
+- Review fixes.
+
+* Fri Jul 08 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.3-1
+- Initial package
diff --git a/rubygem-oauth/oauth-0.4.7.gem b/rubygem-oauth/oauth-0.4.7.gem
new file mode 120000
index 000000000..0e15f14c8
--- /dev/null
+++ b/rubygem-oauth/oauth-0.4.7.gem
@@ -0,0 +1 @@
+../.git/annex/objects/54/5K/SHA256E-s50688--bca47d77c946af466872269e37e470837858b1305d5143e5a56c50356e02b2cc.7.gem/SHA256E-s50688--bca47d77c946af466872269e37e470837858b1305d5143e5a56c50356e02b2cc.7.gem
\ No newline at end of file
diff --git a/rubygem-oauth/rubygem-oauth.spec b/rubygem-oauth/rubygem-oauth.spec
new file mode 100644
index 000000000..13e655c4a
--- /dev/null
+++ b/rubygem-oauth/rubygem-oauth.spec
@@ -0,0 +1,83 @@
+%{?scl:%scl_package rubygem-%{gem_name}}
+%{!?scl:%global pkg_name %{name}}
+
+%define gem_name oauth
+
+# we are using this gem also as non-SCL in RHEL6
+%if !("%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16)
+%define gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
+%define gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
+%define gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
+%define gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
+%endif
+
+Summary: OAuth Core Ruby implementation
+Name: %{?scl_prefix}rubygem-%{gem_name}
+Version: 0.4.7
+Release: 5%{?dist}
+Group: Development/Languages
+License: MIT
+URL: http://rubydoc.info/gems/oauth
+Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
+Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix}rubygems
+%if "%{?scl}" == "ruby193" || 0%{?rhel} > 6 || 0%{?fedora} > 16
+BuildRequires: %{?scl_prefix}rubygems-devel
+%endif
+
+BuildArch: noarch
+Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+
+%description
+OAuth Core Ruby implementation
+
+%prep
+
+%build
+
+%install
+rm -rf %{buildroot}
+mkdir -p %{buildroot}%{gem_dir}
+
+%{?scl:scl enable %{scl} "}
+gem install --local --install-dir %{buildroot}%{gem_dir} \
+            --force --rdoc %{SOURCE0}
+%{?scl:"}
+
+mkdir -p %{buildroot}/%{_bindir}
+mv %{buildroot}%{gem_dir}/bin/* %{buildroot}/%{_bindir}
+rmdir %{buildroot}%{gem_dir}/bin
+find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
+
+%files
+%{_bindir}/oauth
+%{gem_dir}/gems/%{gem_name}-%{version}/
+%doc %{gem_dir}/doc/%{gem_name}-%{version}
+%doc %{gem_instdir}/LICENSE
+%doc %{gem_instdir}/README.rdoc
+%doc %{gem_instdir}/TODO
+%{gem_dir}/cache/%{gem_name}-%{version}.gem
+%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
+
+%changelog
+* Wed Jul 03 2013 Lukas Zapletal <lzap+git@redhat.com> 0.4.7-5
+- rubygem-oauth works for non-SCL as well (lzap+git@redhat.com)
+- remove empty tito.props and definition which are duplicate with default from
+  rel-eng/tito.props (msuchy@redhat.com)
+- with recent tito you do not need SCL meta package (msuchy@redhat.com)
+
+* Wed Feb 27 2013 Miroslav Suchý <msuchy@redhat.com> 0.4.7-3
+- new package built with tito
+
+* Thu Nov 08 2012 Miroslav Suchý <msuchy@redhat.com> 0.4.7-2
+- fixing requires and buildrequires for F17 (msuchy@redhat.com)
+
+* Tue Nov 06 2012 Ivan Necas <inecas@redhat.com> 0.4.7-1
+- rebase so 0.4.7
+
+* Fri Jan 14 2011 Shannon Hughes <shughes@redhat.com> 0.4.4-1
+- new package built with tito
+
+* Fri Jan 14 2011 Shannon Hughes <shughes@redhat.com> - 0.4.4-1
+- Initial package
diff --git a/rubygem-table_print/rubygem-table_print.spec b/rubygem-table_print/rubygem-table_print.spec
new file mode 100644
index 000000000..1dd2a0666
--- /dev/null
+++ b/rubygem-table_print/rubygem-table_print.spec
@@ -0,0 +1,93 @@
+%global gemname table_print
+
+%if 0%{?rhel}
+%global gem_dir /usr/lib/ruby/gems/1.8
+%endif
+%global geminstdir %{gem_dir}/gems/%{gemname}-%{version}
+
+Summary: TablePrint turns objects into nicely formatted columns for easy reading
+Name: rubygem-%{gemname}
+Version: 1.5.1
+Release: 1%{?dist}
+Group: Development/Languages
+License: MIT
+URL: https://github.com/arches/table_print
+Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
+%if 0%{?rhel} || 0%{?fedora} < 19
+Requires: ruby(abi)
+%endif
+Requires: ruby(rubygems)
+%if 0%{?rhel} || 0%{?fedora} < 19
+BuildRequires: ruby(abi)
+%endif
+%if 0%{?fedora}
+BuildRequires: rubygems-devel
+%endif
+BuildRequires: ruby(rubygems)
+BuildRequires: ruby
+BuildArch: noarch
+Provides: rubygem(%{gemname}) = %{version}
+
+%description
+TablePrint turns objects into nicely formatted columns for easy reading.
+Works great in rails console, works on pure ruby objects, auto-detects
+columns, lets you traverse ActiveRecord associations. Simple, powerful.
+
+
+%package doc
+Summary: Documentation for %{name}
+Group: Documentation
+Requires: %{name} = %{version}-%{release}
+BuildArch: noarch
+
+%description doc
+Documentation for %{name}
+
+
+%prep
+%setup -q -c -T
+mkdir -p .%{gem_dir}
+gem install --local --install-dir .%{gem_dir} \
+            --force %{SOURCE0}
+
+%build
+
+%install
+mkdir -p %{buildroot}%{gem_dir}
+cp -pa .%{gem_dir}/* \
+        %{buildroot}%{gem_dir}/
+
+
+%files
+%dir %{geminstdir}
+%{geminstdir}/lib
+%exclude %{gem_dir}/cache/%{gemname}-%{version}.gem
+%{gem_dir}/specifications/%{gemname}-%{version}.gemspec
+%{geminstdir}/features
+%{geminstdir}/spec
+%{geminstdir}/Rakefile
+%{geminstdir}/.rspec
+%{geminstdir}/Gemfile
+%exclude %{geminstdir}/%{gemname}.gemspec
+%exclude %{geminstdir}/.document
+%exclude %{geminstdir}/.gitignore
+%exclude %{geminstdir}/.travis.yml
+
+%files doc
+%doc %{gem_dir}/doc/%{gemname}-%{version}
+%doc %{geminstdir}/README.rdoc
+%doc %{geminstdir}/LICENSE.txt
+
+%changelog
+* Fri Mar 21 2014 Martin Bačovský <mbacovsk@redhat.com> 1.5.1-1
+- Bump to 1.5.1 (mbacovsk@redhat.com)
+
+* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-3
+- Fix up the spec's description and summary to remove rpmlint warnings
+  (shk@redhat.com)
+
+* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-2
+- new package built with tito
+
+* Tue Aug 27 2013 Sam Kottler <shk@redhat.com> 1.1.5-1
+- Initial package creation
diff --git a/rubygem-table_print/table_print-1.5.1.gem b/rubygem-table_print/table_print-1.5.1.gem
new file mode 120000
index 000000000..47c1344df
--- /dev/null
+++ b/rubygem-table_print/table_print-1.5.1.gem
@@ -0,0 +1 @@
+../.git/annex/objects/j9/QF/SHA256E-s25088--e47ec20e10dbe890301263d2987d9ea9c8645d464b6748143741fe2bfb127dac.1.gem/SHA256E-s25088--e47ec20e10dbe890301263d2987d9ea9c8645d464b6748143741fe2bfb127dac.1.gem
\ No newline at end of file
